module.exports = {
    devServer: {
        // 关闭esline
        overlay: {
            warnings: false,
            errors: false,
        },
        proxy: {
            '/labsl': {
                target: 'http://60.205.177.43:28888',
                changeOrigin: true,
                secure: false,
            },
            '/meiku': {
                target: 'http://60.205.177.43:8080',
                changeOrigin: true,
                secure: false,
            },
            '/datacenter4': {
                target: 'http://60.205.177.43:8080',
                changeOrigin: true,
                secure: false,
            },
            '/equip-component4': {
                target: 'http://60.205.177.43:28888',
                changeOrigin: true,
                secure: false,
            },
            // 图片服务器
            '/image-service': {
                target: 'http://api.sagacloud.cn/dp-auxiliary/',
                changeOrigin: true,
                secure: false,
            },
        },
    },
    lintOnSave: false,
    publicPath: '/persagyTopo',
    // 打包名称
    outputDir: 'persagyTopo',
    // 放置生成的静态资源 (js、css、img、fonts) 的 (相对于 outputDir 的) 目录
    assetsDir: 'static',
    // chainWebpack:config =>{
    //     config.module.rule('svg-sprite')
    //     .use('svgo-loader')
    //     .loader('svgo-loader')
    // }
}
